--***********************************************************************
--									*
--	COPYRIGHT 1992		DIGITAL EQUIPMENT CORPORATION		*
--									*
--   This software was written by Bevin Brett, of Digital Equipment	*
--   Corporation.							*
--									*
--   Digital assumes no responsibility AT ALL for the use or reliability*
--   of this software.							*
--									*
--   Redistribution and use in source and binary forms are permitted	*
--   provided that this entire heading from --*** to --*** are          *
--   duplicated in all such forms and that any documentation,		*
--   advertising materials, and other materials related to such		*
--   distribution and use acknowledge that the software was developed	*
--   by Digital Equipment Corporation. The name of Digital Equipment	*
--   Corporation may not be used to endorse or promote products derived	*
--   from this software without specific prior written permission.	*
--									*
--   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR	*
--   IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED	*
--   WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.*
--									*
--***********************************************************************


with OBJECTS, CONTROLS;
use CONTROLS;
package MOVE is

    package BULLETS is
	procedure AUTOMATIC (O : in out OBJECTS.OBJECT_TYPE);
	procedure CONTROLLED(O : in out OBJECTS.OBJECT_TYPE;
			     CS : CONTROL_SETTING_TYPE);
    end;

    package MISSILE is
	procedure AUTOMATIC (O : in out OBJECTS.OBJECT_TYPE);
	procedure CONTROLLED(O : in out OBJECTS.OBJECT_TYPE;
			     CS : CONTROL_SETTING_TYPE);
    end;

    package AEROPLANE is
	procedure AUTOMATIC (O  : in out OBJECTS.OBJECT_TYPE);
	procedure CONTROLLED(O  : in out OBJECTS.OBJECT_TYPE;
			-- They should all be 'in out' like this,
			-- because moving the craft includes its controls,
			-- but I don't have time to modify them all
			-- /Bevin
			     CS : in out CONTROL_SETTING_TYPE);
    end;

    package HELICOPTER is
	procedure AUTOMATIC (O : in out OBJECTS.OBJECT_TYPE);
	procedure CONTROLLED(O : in out OBJECTS.OBJECT_TYPE;
			     CS : CONTROL_SETTING_TYPE);
    end;

    package MAGIC_CARPET is
	procedure AUTOMATIC (O : in out OBJECTS.OBJECT_TYPE);
	procedure CONTROLLED(O : in out OBJECTS.OBJECT_TYPE;
			     CS : CONTROL_SETTING_TYPE);
    end;

    package SURFACE_VEHICLE is
	procedure AUTOMATIC (O : in out OBJECTS.OBJECT_TYPE);
	procedure CONTROLLED(O : in out OBJECTS.OBJECT_TYPE;
			     CS : CONTROL_SETTING_TYPE);
    end;

    package SUBMARINE is
	procedure AUTOMATIC (O : in out OBJECTS.OBJECT_TYPE);
	procedure CONTROLLED(O : in out OBJECTS.OBJECT_TYPE;
			     CS : CONTROL_SETTING_TYPE);
    end;

end;
