--***********************************************************************
--									*
--	COPYRIGHT 1992		DIGITAL EQUIPMENT CORPORATION		*
--									*
--   This software was written by Bevin Brett, of Digital Equipment	*
--   Corporation.							*
--									*
--   Digital assumes no responsibility AT ALL for the use or reliability*
--   of this software.							*
--									*
--   Redistribution and use in source and binary forms are permitted	*
--   provided that this entire heading from --*** to --*** are          *
--   duplicated in all such forms and that any documentation,		*
--   advertising materials, and other materials related to such		*
--   distribution and use acknowledge that the software was developed	*
--   by Digital Equipment Corporation. The name of Digital Equipment	*
--   Corporation may not be used to endorse or promote products derived	*
--   from this software without specific prior written permission.	*
--									*
--   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR	*
--   IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED	*
--   WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.*
--									*
--***********************************************************************


with
    INFO_MANAGER, OBJECTS;

use
    INFO_MANAGER;

pragma ELABORATE(
    INFO_MANAGER);

generic
    type STATUS_TYPE is private;
    type ACCESS_STATUS_TYPE is access STATUS_TYPE;
    MAX_SUBCLASS_INFO : in SUBCLASS_INFO_TYPE;
package SUBCLASS_INFO_GENERIC_PKG is

    SUBCLASS_INFO_TO_ACCESS_STATUS :
	array(1..MAX_SUBCLASS_INFO) of ACCESS_STATUS_TYPE;

    DEFAULT_SUBCLASS_INFO : constant SUBCLASS_INFO_TYPE := ASSIGN;

    procedure CREATE_SUBCLASS_INFO(O  : in out OBJECTS.OBJECT_TYPE);

    procedure DELETE_SUBCLASS_INFO(O  : in out OBJECTS.OBJECT_TYPE);

end;
