--***********************************************************************
--									*
--	COPYRIGHT 1992		DIGITAL EQUIPMENT CORPORATION		*
--									*
--   This software was written by Bevin Brett, of Digital Equipment	*
--   Corporation.							*
--									*
--   Digital assumes no responsibility AT ALL for the use or reliability*
--   of this software.							*
--									*
--   Redistribution and use in source and binary forms are permitted	*
--   provided that this entire heading from --*** to --*** are          *
--   duplicated in all such forms and that any documentation,		*
--   advertising materials, and other materials related to such		*
--   distribution and use acknowledge that the software was developed	*
--   by Digital Equipment Corporation. The name of Digital Equipment	*
--   Corporation may not be used to endorse or promote products derived	*
--   from this software without specific prior written permission.	*
--									*
--   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR	*
--   IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED	*
--   WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.*
--									*
--***********************************************************************


with ULTRIX_FUNDAMENTALS;
use  ULTRIX_FUNDAMENTALS;
package ULTRIX_SOCKET is

    SOCK_DGRAM : constant INTEGER := 2;

    AF_UNIX : constant U_SHORT := 1;
    AF_DLI : constant U_SHORT := 13;

    type SOCKADDR is
	record
	    FAMILY  : U_SHORT;
	    DATA    : U_STR(1..14);
	end record;
	for SOCKADDR'size use 16*8;
	for SOCKADDR use
	record
	    FAMILY  at 0 range 0..15;
	    DATA    at 2 range 0..14*8-1;
	end record;


    function SOCKET(
	AF	    : U_SHORT;
	TYP	    : INTEGER;
	PROTOCOL    : INTEGER) return INTEGER;
	pragma INTERFACE(C, SOCKET);
	pragma IMPORT_FUNCTION(SOCKET, external=>"socket",
	    mechanism=>(value,value,value));

end;
