-- Copyright (c),  Digital Equipment Corporation, 1992, 1993, 1994.
-- Redistribution and use in source and binary forms are permitted
-- provided that the copyright notice as indicated in box below and
-- this paragraph are duplicated in all such forms and that any documentation,
-- advertising materials, and other materials related to such distribution
-- and use acknowledge that the software was developed by Digital Equipment
-- Corporation.  The name of Digital Equipment Corporation may not be used to
-- endorse or promote products derived from this software without the specific
-- prior written permission.
--
-- All other rights reserved.
--
-- THIS SOFTWARE IS PROVIDED ''AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
-- WARRANTIES, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF
-- NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
-- Digital assumes no responsibility AT ALL for the use or reliability
-- of this software.
--
-- +------------------------------------------------------------------------+
-- | USE, DUPLICATION OR DISCLOSURE BY THE U.S. GOVERNMENT IS SUBJECT TO    |
-- | RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH (c) (1) (ii) OF              |
-- | DFARS 252.227-7013, OR IN FAR 52.227-14 ALT. II, AS APPLICABLE.        |
-- |                                                                        |
-- +------------------------------------------------------------------------+
--
-- A great deal has been published concerning graphic bindings,
-- including, for example:
--
--                      Implementation of the Core Graphics System GKS
--                      in a Distributed Graphics Environment
--                      Proc. Int. Conf. Interactive Techniques in CAD,
--                      Bologna (1978), 249-254.
--
--                      Constructing User Interfaces based on Logical
--                      Input Devices.
--                      IEEE, Computers (Nov 82), 62-68.
--
--                      GKS in C.
--                      Proc. Eurographics '82,
--                      North-Holland (1982) 359-370.
--
--                      Computer Graphics Programming
--                      G. Enderle, K. Kansy, G. Pfaff
--                      Springer-Verlag
--                      Berlin, Heidelberg, New York
--                      1984
--

package body X is

    function TO_BOOLEAN(XB : X_BOOL) return BOOLEAN is
    begin
	return XB /= 0;
    end;

    function TO_X_BOOL(B : BOOLEAN) return X_BOOL is
    begin
	return BOOLEAN'pos(B);
    end;

end X;
